curl -G https://api.chargeapi.co/v1/invoices \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "inv_GVdfAASxxq3iAz32AWC5ZRg0M8gUF8Zk",
"object": "invoice",
"amount_due": 2500,
"amount_paid": null,
"created": "2026-05-02T00:16:20.899Z",
"currency": "eur",
"description": null,
"due_date": "2026-05-09T00:16:33.313Z",
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"line_items": [
{
"amount": 1842,
"description": "Charging sessions for March 2026",
"quantity": 1,
"unit_amount": 1842
},
{
"amount": 658,
"description": "Reservation fees",
"quantity": 2,
"unit_amount": 329
}
],
"metadata": {},
"paid_at": null,
"payment_method": null,
"period_end": "2026-05-02T00:16:46.130Z",
"period_start": "2026-04-01T00:16:18.310Z",
"status": "draft"
}
],
"next_page_url": "https://api.chargeapi.co/v1/invoices?page=page_e4VJxs8rZX4qOO9ciSFNA17pmGisk5uD17YbZUiQDj0&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Invoices
List Invoices
curl -G https://api.chargeapi.co/v1/invoices \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "inv_GVdfAASxxq3iAz32AWC5ZRg0M8gUF8Zk",
"object": "invoice",
"amount_due": 2500,
"amount_paid": null,
"created": "2026-05-02T00:16:20.899Z",
"currency": "eur",
"description": null,
"due_date": "2026-05-09T00:16:33.313Z",
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"line_items": [
{
"amount": 1842,
"description": "Charging sessions for March 2026",
"quantity": 1,
"unit_amount": 1842
},
{
"amount": 658,
"description": "Reservation fees",
"quantity": 2,
"unit_amount": 329
}
],
"metadata": {},
"paid_at": null,
"payment_method": null,
"period_end": "2026-05-02T00:16:46.130Z",
"period_start": "2026-04-01T00:16:18.310Z",
"status": "draft"
}
],
"next_page_url": "https://api.chargeapi.co/v1/invoices?page=page_e4VJxs8rZX4qOO9ciSFNA17pmGisk5uD17YbZUiQDj0&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Returns a paginated list of invoice objects for the authenticated account, sorted by creation date with the most recent invoices first. Use
fleet to scope results to one fleet.
curl -G https://api.chargeapi.co/v1/invoices \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "inv_GVdfAASxxq3iAz32AWC5ZRg0M8gUF8Zk",
"object": "invoice",
"amount_due": 2500,
"amount_paid": null,
"created": "2026-05-02T00:16:20.899Z",
"currency": "eur",
"description": null,
"due_date": "2026-05-09T00:16:33.313Z",
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"line_items": [
{
"amount": 1842,
"description": "Charging sessions for March 2026",
"quantity": 1,
"unit_amount": 1842
},
{
"amount": 658,
"description": "Reservation fees",
"quantity": 2,
"unit_amount": 329
}
],
"metadata": {},
"paid_at": null,
"payment_method": null,
"period_end": "2026-05-02T00:16:46.130Z",
"period_start": "2026-04-01T00:16:18.310Z",
"status": "draft"
}
],
"next_page_url": "https://api.chargeapi.co/v1/invoices?page=page_e4VJxs8rZX4qOO9ciSFNA17pmGisk5uD17YbZUiQDj0&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Parameters
string
Limit results to invoices generated for this fleet.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Filter invoices by status.Available options:
draft, open, paid, void, uncollectibleReturns
Returns a page of invoices.array of object
required
Array of invoice objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
